apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    app: triage-web
  name: triage-web
spec:
  replicas: 1
  selector:
    matchLabels:
      app: triage-web
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: triage-web
    spec:
      containers:
      - image: registry.gitlab.com/gitlab-org/quality/triage-serverless:master
        imagePullPolicy: Always
        name: triage-web
        resources: {}
        env:
        - name: GITLAB_WEBHOOK_TOKEN
          valueFrom:
            secretKeyRef:
              name: gitlab-webhook-token
              key: GITLAB_WEBHOOK_TOKEN
        - name: GITLAB_API_TOKEN
          valueFrom:
            secretKeyRef:
              name: gitlab-api-token
              key: GITLAB_API_TOKEN
        - name: SENTRY_DSN
          valueFrom:
            secretKeyRef:
              name: sentry-dsn
              key: SENTRY_DSN
        - name: SLACK_WEBHOOK_URL
          valueFrom:
            secretKeyRef:
              name: slack-webhook-url
              key: SLACK_WEBHOOK_URL
        - name: USER_ACCOUNT_CSV_URL
          valueFrom:
            secretKeyRef:
              name: user-account-csv-url
              key: USER_ACCOUNT_CSV_URL
        - name: ALT_PROJECT_ID_FOR_CI_TITLE_LABEL
          valueFrom:
            secretKeyRef:
              name: alt-project-id-for-ci-title-label
              key: ALT_PROJECT_ID_FOR_CI_TITLE_LABEL
---
apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  creationTimestamp: null
  name: triage-web
spec:
  maxReplicas: 2
  minReplicas: 1
  scaleTargetRef:
    apiVersion: extensions/v1beta1
    kind: Deployment
    name: triage-web
  targetCPUUtilizationPercentage: 80
---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: triage-web
  name: triage-web-service
spec:
  ports:
  - port: 80
    protocol: TCP
    targetPort: 8080
  selector:
    app: triage-web
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: triage-web-ingress
  annotations:
    kubernetes.io/ingress.class: "nginx"
    certmanager.k8s.io/cluster-issuer: "letsencrypt-http01-issuer"
spec:
  tls:
  - hosts:
      - triage-serverless.gitlab.com
    secretName: triage-serverless-cert
  rules:
  - host: triage-serverless.gitlab.com
    http:
      paths:
      - path: /
        backend:
          serviceName: triage-web-service
          servicePort: 80
